it.csi.mddtools.guigen

## Interface SimpleType

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, Type

      public interface SimpleType
      extends Type

  A representation of the model object 'Simple Type'. Tipo base (semplice).

  The following features are supported:

  - `Code`
  - `Nillable`
  - `User Defined`
  - `Data Type Modifiers`
  - `Edit Hint Msg`
  See Also:
    `GuigenPackage.getSimpleType()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `SimpleTypeCodes` | `getCode()` Returns the value of the 'Code' attribute.
    `org.eclipse.emf.common.util.EList<java.lang.String>` | `getDataTypeModifiers()` Returns the value of the 'Data Type Modifiers' attribute list.
    `java.lang.String` | `getEditHintMsg()` Returns the value of the 'Edit Hint Msg' attribute
    `boolean` | `isNillable()` Returns the value of the 'Nillable' attribute
    `boolean` | `isUserDefined()` Returns the value of the 'User Defined' attribute.
    `void` | `setCode(SimpleTypeCodes value)` Sets the value of the '`Code`' attribute
    `void` | `setEditHintMsg(java.lang.String value)` Sets the value of the '`Edit Hint Msg`' attribute
    `void` | `setNillable(boolean value)` Sets the value of the '`Nillable`' attribute
    `void` | `setUserDefined(boolean value)` Sets the value of the '`User Defined`' attribute

    - ### Methods inherited from interface it.csi.mddtools.guigen.Type

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getCode

          SimpleTypeCodes getCode()

      Returns the value of the 'Code' attribute. The literals are from the enumeration `SimpleTypeCodes`.

      If the meaning of the 'Code' attribute isn't clear, there really should be more of a description here...

      Codice che serve per discriminare il tipo base (scalare) specifico. Se è impostato userDefined a false allora il tipo corrisponde ad un tipo base del linguaggio host (es int, java.lang.Double). Se invece userDefined è impostato a true, viene generato un nuovo tipo di dato astratto basato sul tipo scalare corrispondente e nel quale è possibile specificare meglio il dominio di valori ammessi e alcune caratteristiche di formattazione.
      Returns:
        the value of the 'Code' attribute.
      See Also:
        `SimpleTypeCodes`, `setCode(SimpleTypeCodes)`, `GuigenPackage.getSimpleType_Code()`

    - #### setCode

          void setCode(SimpleTypeCodes value)

      Sets the value of the '`Code`' attribute.
      Parameters:
        `value` - the new value of the 'Code' attribute.
      See Also:
        `SimpleTypeCodes`, `getCode()`

    - #### isNillable

          boolean isNillable()

      Returns the value of the 'Nillable' attribute.

      If the meaning of the 'Nillable' attribute isn't clear, there really should be more of a description here...

      Se impostato a true, il tipo ammette il vlaore null nel suo dominio.
      Returns:
        the value of the 'Nillable' attribute.
      See Also:
        `setNillable(boolean)`, `GuigenPackage.getSimpleType_Nillable()`

    - #### setNillable

          void setNillable(boolean value)

      Sets the value of the '`Nillable`' attribute.
      Parameters:
        `value` - the new value of the 'Nillable' attribute.
      See Also:
        `isNillable()`

    - #### isUserDefined

          boolean isUserDefined()

      Returns the value of the 'User Defined' attribute. The default value is `"false"`. Se impostato a true viene generata una classe che rappresenta il tipo di dato e everrà utilizzata questa classe al posto del tipo scalare corrispondente, che sarà utilizzato come contenitore del dato internamente alla classe.
      Returns:
        the value of the 'User Defined' attribute.
      See Also:
        `setUserDefined(boolean)`, `GuigenPackage.getSimpleType_UserDefined()`

    - #### setUserDefined

          void setUserDefined(boolean value)

      Sets the value of the '`User Defined`' attribute.
      Parameters:
        `value` - the new value of the 'User Defined' attribute.
      See Also:
        `isUserDefined()`

    - #### getDataTypeModifiers

          org.eclipse.emf.common.util.EList<java.lang.String> getDataTypeModifiers()

      Returns the value of the 'Data Type Modifiers' attribute list. The list contents are of type `String`.

      If the meaning of the 'Data Type Modifiers' attribute list isn't clear, there really should be more of a description here...

      Utilizzato solo se userDefined = true. Permette di specificare il tipo di dato, in termini di restrizioni sul dominio di valori ammessi, opzioni di formattazione etc. [[TODO: documentare sintassi ]]
      Returns:
        the value of the 'Data Type Modifiers' attribute list.
      See Also:
        `GuigenPackage.getSimpleType_DataTypeModifiers()`

    - #### getEditHintMsg

          java.lang.String getEditHintMsg()

      Returns the value of the 'Edit Hint Msg' attribute.

      If the meaning of the 'Edit Hint Msg' attribute isn't clear, there really should be more of a description here...

      Utilizzato solo se userDefined == true. Permette di specificare il messaggio che deve essere utilizzato per descrivere il range di valori ammessi. Può essere utilizzato, a seconda delle cartucce di generazione, come tooltip oppure come messaggio di errore in caso di immissione di un valore scorretto.
      Returns:
        the value of the 'Edit Hint Msg' attribute.
      See Also:
        `setEditHintMsg(String)`, `GuigenPackage.getSimpleType_EditHintMsg()`

    - #### setEditHintMsg

          void setEditHintMsg(java.lang.String value)

      Sets the value of the '`Edit Hint Msg`' attribute.
      Parameters:
        `value` - the new value of the 'Edit Hint Msg' attribute.
      See Also:
        `getEditHintMsg()`